# EZ_SetHScrollbarDiscreteSpeed

##

##

##

##

##

    NAME
           EZ_SetHScrollbarDiscreteSpeed     -   set   the   discrete
           scrolling speed of a scrollbar

    SYNOPSIS
           #include <EZ.h>

           int EZ_SetHScrollbarDiscreteSpeed(EZ_Widget *widget, int speed)

           int EZ_SetVScrollbarDiscreteSpeed(EZ_Widget *widget, int speed)

    ARGUMENTS
           widget  Specifies a scrollbar  widget,  a  text-widget,  a
           listbox,  a  fancy-listbox,  a  tree-widget or a work-area
           widget.

           speed  Specifies a positive integer.

    DESCRIPTION
           EZ_SetHScrollbarDiscreteSpeed sets the discrete  scrolling
           speed of the horizontal scrollbar on the specified compos-
           ite widget.  The discrete scrolling speed is used when the
           arrow  button  on  the  scrollbar is pressed or one of the
           relevent arrow keys is pressed while the scrollbar  is  in
           focus.

           EZ_SetVScrollbarDiscreteSpeed  sets the discrete scrolling
           speed of the vertical scrollbar on the specified composite
           widget.

           The default discrete scrolling speed is 1. The interpreta-
           tion of this speed depends on the  context.  For  internal
           widgets that use scrollbars, the meaning is following: for
           TextWidget and ListBox, the scrolling unit is  the  height
           of  a  text line; for Fancy ListBox, TreeWidget, WorkArea,
           the scrolling unit is one pixel.

           This function returns the current discrete scrolling speed
           of the scrollbar.

    SEE ALSO
           EZ_SetScrollbarDiscreteSpeed(3), EZ_GetScrollbarState(3)